com.collabnet.ce.soap60.webservices.cemain

## Class ProjectGroupSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ProjectGroupSoapDO

-     public class ProjectGroupSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  This class represents the data associated with a project group.
  Since:
    6.0.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectGroupSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Returns 'description'.
    `String` | `getPath()` Returns 'path'.
    `String` | `getTitle()` Returns 'title'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setPath(String path)` Sets 'path'.
    `void` | `setTitle(String title)` Sets 'title'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectGroupSoapDO

          public ProjectGroupSoapDO()

  - ### Method Detail

    - #### getPath

          public String getPath()

      Returns 'path'. The path of the project group.
      Returns:
        Value of 'path'.

    - #### setPath

          public void setPath(String path)

      Sets 'path'. The path of the project group.
      Parameters:
        `path` - Value of 'path'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. The title of the project group.
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. The title of the project group.
      Parameters:
        `title` - Value of 'title'.

    - #### getDescription

          public String getDescription()

      Returns 'description'. The detailed description of the project group.
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. The detailed description of the project group.
      Parameters:
        `description` - Value of 'description'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.